{% extends 'animalsBase.html' %}
{% block content %}
<p>
<h1>{{animal.name}}</h1>
</p>
<p>
<table class="table">
    <tr>
    <th>Species</th><th>Sex</th><th>Date of Birth</th><th>Parents</th><th>Kids</th>
    </tr>
    <tr>
        <td>
            {{animal.species}}</td><td>{{animal.sex}}
        </td>

        <td>
        {%if animal.dateOfBirth%}
            {{animal.dateOfBirth}}
        {%else%}
            unknown
        {%endif%}
        </td>

        <td>
        {%if animal.parents%}
            <a href="{%url 'animals:detail_animal' animal.parents.mother.id%}">{{animal.parents.mother.name}}</a>
            &
            <a href="{%url 'animals:detail_animal' animal.parents.father.id%}">{{animal.parents.father.name}}</a>
        {%endif%}</td>

        <td>
        {%for child in childs_list%}
            {%if child.parents.mother.id == animal.id or child.parents.father.id == animal.id%}
                <a href="{%url 'animals:detail_animal' child.id%}">{{child.name}}</a>
            {%endif%}
        {%endfor%}
        </td>
    </tr>
</table>
</p>


{% endblock %}
